<?xml version="1.0" encoding="utf-8" ?>
<!DOCTYPE erlref SYSTEM "erlref.dtd">

<erlref>
  <header>
    <copyright>
      <year>2000</year>
      <year>2013</year>
      <holder>Ericsson AB, All Rights Reserved</holder>
    </copyright>
    <legalnotice>
  Licensed under the Apache License, Version 2.0 (the "License");
  you may not use this file except in compliance with the License.
  You may obtain a copy of the License at
 
      http://www.apache.org/licenses/LICENSE-2.0

  Unless required by applicable law or agreed to in writing, software
  distributed under the License is distributed on an "AS IS" BASIS,
  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
  See the License for the specific language governing permissions and
  limitations under the License.

  The Initial Developer of the Original Code is Ericsson AB.
    </legalnotice>

    <title>CosFileTransfer_VirtualFileSystem</title>
    <prepared></prepared>
    <docno></docno>
    <checked></checked>
    <date>2000-11-09</date>
    <rev>PA1</rev>
  </header>
  <module>CosFileTransfer_VirtualFileSystem</module>
  <modulesummary>This module implements the OMG CosFileTransfer::VirtualFileSystem interface.</modulesummary>
  <description>
    <p>To get access to the record definitions for the structures use:      <br></br>
<c>-include_lib("cosFileTransfer/include/*.hrl").</c></p>
  </description>
  <funcs>
    <func>
      <name>'_get_file_system_type'(VFS) -> Return</name>
      <fsummary>Return the target object's associated file system</fsummary>
      <type>
        <v>VFS = #objref</v>
        <v>Return = 'FTP' | 'NATIVE'</v>
      </type>
      <desc>
        <p>This read only attribute represents the target object's associated
          file system.</p>
      </desc>
    </func>
    <func>
      <name>'_get_supported_content_types'(VFS) -> Return</name>
      <fsummary>Return the target object's supported  content types.</fsummary>
      <type>
        <v>VFS = #objref</v>
        <v>Return = </v>
      </type>
      <desc>
        <p>This read only attribute represents the target object's supported 
          content types.</p>
      </desc>
    </func>
    <func>
      <name>login(VFS, User, Password, Account) -> Return</name>
      <fsummary>Create a new instance of a <c>FileTransferSession</c>and a <c>Directory</c></fsummary>
      <type>
        <v>VFS = #objref</v>
        <v>User = Password = Account = string()</v>
        <v>Return = {FileTransferSession, Directory} | {'EXCEPTION', E}</v>
        <v>FileTransferSession = Directory = #objref</v>
      </type>
      <desc>
        <p>This operation creates a new instance of a <c>FileTransferSession</c>
          and a <c>Directory</c>. The later represents the current working
          directory of the returned <c>FileTransferSession</c>.</p>
      </desc>
    </func>
  </funcs>
  
</erlref>

